libzypp 17.37.10

zypp::Target::DistributionLabel Struct Reference

`#include <zypp/Target.h>`

## Public Attributes
std::string | shortName
std::string | summary

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Target::DistributionLabel &obj)
| Stream output.

## Detailed Description

Definition at line 168 of file Target.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Target::DistributionLabel & | obj )
| related

Stream output.

Write out the content as key/value pairs:

summary=Beautiful Name
shortName=BN
zypp::Target::DistributionLabel::shortName
std::string shortName
Definition Target.h:168
zypp::Target::DistributionLabel::summary
std::string summary
Definition Target.h:168

Definition at line 48 of file Target.cc.

## Member Data Documentation

## ◆ shortName

std::string zypp::Target::DistributionLabel::shortName

Definition at line 168 of file Target.h.

## ◆ summary

std::string zypp::Target::DistributionLabel::summary

Definition at line 168 of file Target.h.

The documentation for this struct was generated from the following file:

- zypp/Target.h